{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-cables" >
  <!-- begin panel-heading -->
  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de Cables</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear nuevo cable</a></div>

    <div class="table-responsive">
      <table class="table" id="table_cable">
        <thead>
          <tr>
            <th nowrap="">Cable ID</th>
            <th nowrap="">Datos del cable</th>
            <th nowrap="">Fecha de instalación</th>
            <th nowrap="">Extremo físico A</th>
            <th nowrap="">Terminación A</th>
            <th nowrap="">Extremo físico B</th>
            <th nowrap="">Terminación B</th>
            <th nowrap="">Chaqueta</th>
            <th nowrap="">Norma</th>
            <th nowrap="">Cantidad de filamentos</th>
            <th nowrap="">Cantidad de minitubos</th>
            <th nowrap="">Cantidad de filamentos por minitubo</th>
            <th nowrap="">Acciones</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>

<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Cable</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="cable_data">Datos del cable</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="cable_data" placeholder="Datos importantes del cable" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="installation_date">Fecha de instalación</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="datetime-local" id="cable_data" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="physical_ext_A">Extremo físico A</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="physical_ext_A">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="termination_A">Terminación A</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="termination_A">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="physical_ext_B">Extremo físico B</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="physical_ext_B">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="termination_B">Terminación B</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="termination_B">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="jacket_type">Tipo de chaqueta</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="jacket_type">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="standard">Norma del cable</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="standard">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="filaments">Filamentos</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="filaments">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="minitubes">Minitubos</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="number" id="minitubes" placeholder="Cantidad de minitubos del cable" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="filaments_per_minitube">Filamentos por minitubo</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="number" id="filaments_per_minitube" placeholder="Cantidad de filamentos por minitubo del cable" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="comment">Comentarios</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="comment" rows="4" data-parsley-required="true" placeholder="Información adicional sobre la cabecera" required="true"></textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" onclick="newCable()">Crear Cable</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-update">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Editar Cable</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_cable_data">Datos del cable</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="det_cable_data" placeholder="Datos importantes del cable" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_installation_date">Fecha de instalación</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="datetime-local" id="det_cable_data" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_physical_ext_A">Extremo físico A</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="det_physical_ext_A">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_termination_A">Terminación A</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="det_termination_A">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_physical_ext_B">Extremo físico B</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="det_physical_ext_B">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_termination_B">Terminación B</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="det_termination_B">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_jacket_type">Tipo de chaqueta</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="det_jacket_type">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_standard">Norma del cable</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="det_standard">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_filaments">Filamentos</label>
          <div class="col-md-8 col-sm-8">
            <select class="form-control" id="det_filaments">
            </select>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_minitubes">Minitubos</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="number" id="det_minitubes" placeholder="Cantidad de minitubos del cable" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_filaments_per_minitube">Filamentos por minitubo</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="number" id="det_filaments_per_minitube" placeholder="Cantidad de filamentos por minitubo del cable" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_comment">Comentarios</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="det_comment" rows="4" data-parsley-required="true" placeholder="Información adicional sobre la cabecera" required="true"></textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary" onclick="newCable()">Crear Cable</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'scripts/cable_list.js' %}"></script>
{% endblock extra_js %}